Page MenuHomeFreeBSD

devel/wrangler: Update to v1.19.11
ClosedPublic

Authored by kfv_kfv.io on Apr 7 2022, 11:23 AM.

Details

Summary
devel/wrangler: Update to v1.19.11

Changelog:

  https://github.com/cloudflare/wrangler/blob/v1.19.11/CHANGELOG.md

Reviewed_by: ???
Differential_Revision: D34818
MFH: 2022Q2 (<reason>)
Test Plan
  • portlint: passed
  • testport: passed
  • runtime: Using it on my daily driver

Diff Detail

Repository
R11 FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

koobs edited the summary of this revision. (Show Details)
koobs edited the test plan for this revision. (Show Details)
koobs edited the test plan for this revision. (Show Details)
koobs added a subscriber: koobs.

Looks fine, add <Reason> to MFH

This revision is now accepted and ready to land.Apr 8 2022, 2:02 AM
fernape requested changes to this revision.Apr 13 2022, 7:58 AM
fernape added a subscriber: fernape.

This fails to build on 12.3i386

  error occurred: Command "cc" "-O3" "-ffunction-sections" "-fdata-sections" "-fPIC" "-m32" "-O2" "-pipe" "-fstack-protector-strong" "-fno-strict-aliasing" "-o" "/wrkdirs/usr/ports/devel/wrangler/work/target/i686-unknown-freebsd/release/build/sys-info-a4421648376dad8c/out/c/freebsd.o" "-c" "c/freebsd.c" with args "cc" did not execute successfully (status code exit status: 1).


warning: build failed, waiting for other jobs to finish...
This revision now requires changes to proceed.Apr 13 2022, 7:58 AM

@fernape: Sorry, I didn't know I must take care of all architecture. Could you please guide me on how to ensure it can build fine on 12.3 i386? And if the upstream has no official release for an architecture, should I specify that architecture in the Makefile or is there any specific process to see if we can make it work? And one more question, should I only care about tier 1 platforms of the supported RELEASE versions or do we have another rule? And my sincere apologies for the oversight.

@fernape: Sorry, I didn't know I must take care of all architecture. Could you please guide me on how to ensure it can build fine on 12.3 i386? And if the upstream has no official release for an architecture, should I specify that architecture in the Makefile or is there any specific process to see if we can make it work? And one more question, should I only care about tier 1 platforms of the supported RELEASE versions or do we have another rule? And my sincere apologies for the oversight.

Just mark it broken on i386: BROKEN_i386= Fails to build: error message. If i386 is really not supported, put NOT_FOR_ARCHS + NOT_FOR_ARCHS_REASON
It must builds on at least one tier 1 platform.

@fernape: Sorry, I didn't know I must take care of all architecture. Could you please guide me on how to ensure it can build fine on 12.3 i386? And if the upstream has no official release for an architecture, should I specify that architecture in the Makefile or is there any specific process to see if we can make it work? And one more question, should I only care about tier 1 platforms of the supported RELEASE versions or do we have another rule? And my sincere apologies for the oversight.

Just mark it broken on i386: BROKEN_i386= Fails to build: error message. If i386 is really not supported, put NOT_FOR_ARCHS + NOT_FOR_ARCHS_REASON
It must builds on at least one tier 1 platform.

I'll mark it BROKEN at commit time. It seems this has been broken on i386 for a while: https://docs.freebsd.org/cgi/getmsg.cgi?fetch=2602678129+0+current/freebsd-pkg-fallout.

Thanks!

This revision is now accepted and ready to land.Apr 13 2022, 12:47 PM

All right, I'll keep it in mind for my next ports. Many thanks to both of you.

This revision was automatically updated to reflect the committed changes.